Skip to main content
GET
/
rewards
/
root
/
all
/
{configId}
/
{epoch}
Get All Rewards Roots
curl --request GET \
  --url https://backend-global.gains.trade/rewards/root/all/{configId}/{epoch}
{}

Endpoint

GET /rewards/root/all/{configId}/{epoch} Returns all rewards Merkle roots matching a config and epoch.

Parameters

ParameterLocationRequiredTypeDescription
configIdpathYesstringReward config ID.
epochpathYesstringEpoch ID.

Usage Example

curl -X GET "https://backend-arbitrum.gains.trade/rewards/root/all/config-id/1"

Response Structure

The generated API panel lists the response schema for status codes: 200. Error responses generally return an error or message field.

Path Parameters

configId
string
required

Reward config ID.

epoch
string
required

Epoch ID.

Response

200 - application/json

Successful response

The response is of type object.